# see https://bugzilla.redhat.com/show_bug.cgi?id=1224565
%global debug_package %{nil}

Name:           mono-cecil
Version:        0.10.4
Release:        %mkrel 3
Summary:        Library to generate and inspect programs and libraries in the ECMA CIL form
Group:          Development/C#
License:        MIT
URL:            http://www.mono-project.com/Cecil
Source0:        https://github.com/jbevain/cecil/archive/%{version}/cecil-%{version}.tar.gz
Source1:        %{name}.pc
# JIT only available on these:
ExclusiveArch:  %mono_arches
#BuildRequires:  mono(xbuild)
BuildRequires:  mono-devel
Requires:       mono-core

%global configuration net_462_Release

%description
Cecil is a library written by Jb Evain to generate and inspect programs and
libraries in the ECMA CIL format. It has full support for generics, and support
some debugging symbol format.

In simple English, with Cecil, you can load existing managed assemblies, browse
all the contained types, modify them on the fly and save back to the disk the
modified assembly.

Today it is used by the Mono Debugger, the bug-finding and compliance checking
tool Gendarme, MoMA, DB4O, as well as many other tools.

%package devel
Summary:        pkgconfig file for Mono.Cecil
Group:          Development/C#
Requires:       mono-cecil = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains the cecil.pc file
which is required by other packages that reference Mono.Cecil.dll

%prep
%setup -qn cecil-%{version}

%build

export NoCompilerStandardLib=false
xbuild Mono.Cecil.sln /p:Configuration=%{configuration}

%install
mkdir -p %{buildroot}%{monogacdir}/
cd bin/%{configuration}/
gacutil -i Mono.Cecil.dll -f -package Mono.Cecil -root %{buildroot}/usr/lib
gacutil -i Mono.Cecil.Mdb.dll -f -package Mono.Cecil -root %{buildroot}/usr/lib
gacutil -i Mono.Cecil.Pdb.dll -f -package Mono.Cecil -root %{buildroot}/usr/lib
gacutil -i Mono.Cecil.Rocks.dll -f -package Mono.Cecil -root %{buildroot}/usr/lib
cd -
mkdir -p %{buildroot}/%{_libdir}/pkgconfig/
%{__install} -m0644 %{SOURCE1} %{buildroot}%{_libdir}/pkgconfig/cecil.pc

%files
%doc
%{_monogacdir}/Mono.Cecil*
%{_monodir}/Mono.Cecil*

%files devel
%{_libdir}/pkgconfig/cecil.pc



%changelog
* Wed Sep 23 2020 tv <tv> 0.10.4-3.mga8
+ Revision: 1629643
- fix pkg-config file

* Mon Sep 21 2020 tv <tv> 0.10.4-2.mga8
+ Revision: 1629224
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.10.4-1.mga8
+ Revision: 1629064
- BR mono-devel as mono(xbuild) is no more provided
- Upgrade to Cecil 0.10.4
- rebuild for new mono
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.6-10.mga7
+ Revision: 1299593
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 tv <tv> 0.9.6-9.mga7
+ Revision: 1203011
- imported package mono-cecil

